%define major 1
%define libname %mklibname cdaudio %{major}
%define devname %mklibname cdaudio -d

Summary:	A library for controlling CD-ROM devices
Name:		libcdaudio
Version:	0.99.12
Release:	17
Group:		Sound
License:	LGPLv2.1+
Url:		http://libcdaudio.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-config
Patch0:		%{name}-0.99.10.config.patch
Patch1:		%{name}-0.99-CAN-2005-0706.patch
Patch2:		%{name}-0.99.12-buffovfl.patch

%description
libcdaudio is a library for controlling CD-ROM devices.

#----------------------------------------------------------------------------

%package common
Summary:	Data files for %{name}
Group:		Sound
Conflicts:	%{_lib}cdaudio1 < 0.99.12-17

%description common
Data files for %{name}.

%files common
%{_sysconfdir}/cdserver

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for controlling CD-ROM devices
Group:		System/Libraries
Requires:	%{name}-common >= %{EVRD}

%description -n %{libname}
libcdaudio is a library for controlling CD-ROM devices.

%files -n %{libname}
%doc README NEWS AUTHORS ChangeLog
%{_libdir}/libcdaudio.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	cdaudio-devel = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%files -n %{devname}
%{_bindir}/libcdaudio-config
%{multiarch_bindir}/libcdaudio-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/libcdaudio.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0

cp %{SOURCE1} cdserver

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 cdserver %{buildroot}%{_sysconfdir}

%multiarch_binaries %{buildroot}%{_bindir}/libcdaudio-config


%changelog
* Sat Dec 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.99.12-17
+ Revision: 44f8699
- Split noarch data from library package


